Get All Public Tokens - Stytch Docs

Documentation Index

Fetch the complete documentation index at: /docs/llms.txt

Use this file to discover all available pages before exploring further.

Get All Public Tokens

cURL

curl --request GET \
  --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/public_tokens \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/public_tokens"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/public_tokens', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Possible Response Codes

Sample JSON Responses

Successful Response

{
  "request_id": "<string>",
  "public_tokens": [
    {
      "public_token": "<string>",
      "created_at": "<string>"
    }
  ],
  "status_code": 123
}

Unauthorized Response

{
  "status_code": 401,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "unauthorized_credentials",
  "error_message": "Unauthorized credentials.",
  "error_url": "https://stytch.com/docs/api/errors/401"
}

Too Many Requests Response

{
  "status_code": 429,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "too_many_requests",
  "error_message": "Too many requests have been made.",
  "error_url": "https://stytch.com/docs/api/errors/429"
}

Internal Server Error Response

{
  "status_code": 500,
  "request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
  "error_type": "internal_server_error",
  "error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
  "error_url": "https://stytch.com/docs/api/errors/500"
}

Authorizations

Authorization is a required header that must be provided in the format: Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

Response Attributes